#include <systemc.h>
#include <iostream>
SC_MODULE(mod)
{
	sc_clock clk;
	
	int pressure;
	
	void p1()
	{
		if(pressure == 10) pressure=9;
	}

	void p2()
	{
		pressure++;
	}

	SC_CTOR(mod)
	{

		SC_METHOD(p2);
		sensitive << clk;

		SC_METHOD(p1);
		sensitive << clk;
	}
};


int sc_main(int argc, char* argv[])
{
	mod m("mod");
	sc_start(TIME);
	return 0;
}
