/* C++ */
#ifndef SYSTEMC_H
#define SYSTEMC_H

// Uncomment the following macro definition to remove support
// for delta/timed notification. Note that this restricts
// the subset of the SystemC language that is supported.
// The purpose of this flag is to speedup the simulation of designs
// that do not explicitly call the notification routines.
// #define SCOOT_SKIP_NOTIFICATION_PHASES



#include <scoot_tags.h>

#include <sc_module.h>
#include <sc_signal.h>
#include <sc_signal_ports.h>
#include <sc_fifo.h>
#include <sc_fifo_ports.h>
#include <sc_sensitive.h>
#include <sc_clock.h>
#include <sc_trace.h>
#include <sc_event.h>
#include <sc_wait.h>

#define sc_biguint sc_uint
#define sc_bigint  sc_int

using namespace sc_core;

#endif
